@extends('layouts.master')
@section('content')
<!-- Page Title Start -->
<div class="flex justify-between items-center mb-6">
    <h4 class="text-slate-900 dark:text-slate-200 text-lg font-medium">Dashboard</h4>
</div>
<!-- Page Title End -->


<div class="grid xl:grid-cols-4 lg:grid-cols-2 grid-cols-1 gap-6 mb-6">
    @foreach($group as $dataGroup)
    <div class="card">
        <div class="p-6">
            <div class="flex flex-col items-center">
                <div class="w-full">
                    <div class="flex justify-between">
                        <div><h5 class="uppercase text-sm font-bold mt-0 truncate">Data {{$dataGroup->name}}</h5></div>
                        <div class="p-1 bg-primary text-white rounded text-xs">{{date('Y')}}</div>
                    </div>
                    <?php
                    $count = $classDataset::where('tahun',date('Y'))->whereHas('instansi',function($query) use ($dataGroup){
                        $query->where('parent','ilike','%'.$dataGroup->alias.'%');
                    })->count();
                    ?>
                    <h2 class="text-3xl bold my-3 py-0.5">{{$count}}</h2> 
                </div>
                <div class="w-full">
                    <div class="">
                        <a href="{{url('dashboard/dataset/'.$dataGroup->alias)}}" class="text-primary">Lihat Selengkapnya&nbsp;<i class="ri-arrow-right-line"></i></a>
                    </div>
                </div>
            </div> <!-- end row-->
        </div> <!-- end p-6 -->
    </div> <!-- end card -->
    @endforeach

    
</div>
<div class="grid xl:grid-cols-1 lg:grid-cols-1 grid-cols-1 gap-6 mb-6">
    <div class="card">
        <div class="p-6">
            <div>
                <div id="toolbar">
                    <h5 class="text-md font-bold">10 Data Update Terakhir</h5>
                </div>
                <table class="gridjs-table" 
                    data-search="true"
                    data-toggle="table"
                    data-pagination="true"
                    data-toolbar="#toolbar"
                    data-show-refresh="false"
                    data-url="{{route('modules.dashboard.grid')}}"
                    data-sort-name="ids"
                    data-sort-order="desc"
                    data-page-size="10"
                    data-id-field="id"
                    id="grid-data">
                  <thead class="gridjs-thead">
                    <tr class="gridjs-tr bg-secondary/10">
                      <th class="gridjs-td gridjs-th text-sm text-gray-500" data-width="10" data-field="action">#</th>
                      <th class="gridjs-td gridjs-th text-sm text-gray-500" data-width="10" data-field="no">No</th>
                      <th class="gridjs-td gridjs-th text-sm text-gray-500" data-field="instansi">Nama Instansi</th>
                      <th class="gridjs-td gridjs-th text-sm text-gray-500" data-field="name">Nama Dataset</th>
                      <th class="gridjs-td gridjs-th text-sm text-gray-500" data-field="tahun">Tahun</th>
                      <th class="gridjs-td gridjs-th text-sm text-center text-gray-500" data-field="status">Status</th>
                      <th class="gridjs-td gridjs-th text-sm text-gray-500" data-field="created_at">Tanggal Dibuat</th>
                    </tr>
                  </thead>
                  <tbody class="gridjs-tbody"></tbody>
              </table>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
@endsection
@section('js')
<script src="{{asset('assets/js/pages/dashboard-analytics.js')}}"></script>
<!-- Apex Charts js -->
<script src="{{asset('assets/libs/apexcharts/apexcharts.min.js')}}"></script>

<!-- Vector Map Js -->
<script src="{{asset('assets/libs/jsvectormap/js/jsvectormap.min.js')}}"></script>
<script src="{{asset('assets/libs/jsvectormap/maps/world-merc.js')}}"></script>
<script src="{{asset('assets/libs/jsvectormap/maps/world.js')}}"></script>
@endsection