@extends('layouts.master')
@section('content')
<!-- Page Title Start -->
<div class="flex justify-between items-center mb-6">
    <h4 class="text-slate-900 dark:text-slate-200 text-lg font-medium">Dashboard</h4>
</div>
<!-- Page Title End -->
<div class="grid xl:grid-cols-1 lg:grid-cols-1 grid-cols-1 gap-6 mb-6">
    <div class="card">
        <div class="p-6">
            <div>
                <div id="toolbar">
                    <a href="{{url('dashboard')}}" class="btn border-primary text-primary"><i class="ri-arrow-left-line"></i>&nbsp;Kembali</a>
                </div>
                <table class="gridjs-table" 
                    data-search="true"
                    data-toggle="table"
                    data-pagination="true"
                    data-toolbar="#toolbar"
                    data-show-refresh="false"
                    data-url="{{route('modules.dashboard.datasetGrid',['alias' => $alias])}}"
                    data-sort-name="ids"
                    data-sort-order="desc"
                    data-page-size="10"
                    data-id-field="id"
                    id="grid-data">
                  <thead class="gridjs-thead">
                    <tr class="gridjs-tr bg-secondary/10">
                      <th class="gridjs-td gridjs-th text-sm text-gray-500" data-width="10" data-field="action">#</th>
                      <th class="gridjs-td gridjs-th text-sm text-gray-500" data-width="10" data-field="no">No</th>
                      <th class="gridjs-td gridjs-th text-sm text-gray-500" data-field="instansi">Nama Instansi</th>
                      <th class="gridjs-td gridjs-th text-sm text-gray-500" data-field="name">Nama Dataset</th>
                      <th class="gridjs-td gridjs-th text-sm text-gray-500" data-field="tahun">Tahun</th>
                      <th class="gridjs-td gridjs-th text-sm text-center text-gray-500" data-field="status">Status</th>
                      <th class="gridjs-td gridjs-th text-sm text-gray-500" data-field="created_at">Tanggal Dibuat</th>
                    </tr>
                  </thead>
                  <tbody class="gridjs-tbody"></tbody>
              </table>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
@endsection
@section('js')
<script src="{{asset('assets/js/pages/dashboard-analytics.js')}}"></script>
<!-- Apex Charts js -->
<script src="{{asset('assets/libs/apexcharts/apexcharts.min.js')}}"></script>

<!-- Vector Map Js -->
<script src="{{asset('assets/libs/jsvectormap/js/jsvectormap.min.js')}}"></script>
<script src="{{asset('assets/libs/jsvectormap/maps/world-merc.js')}}"></script>
<script src="{{asset('assets/libs/jsvectormap/maps/world.js')}}"></script>
@endsection